package com.gh.gamecenter.core.provider

import android.content.Context
import com.alibaba.android.arouter.facade.template.IProvider

interface IAppProvider : IProvider {
    fun getAppName(): String

    fun getGid(): String

    fun refreshGid()

    fun getOaid(): String

    fun getChannel(): String

    fun setChannel(channel: String)

    fun getUserAgent(): String

    fun getServerUserMark(): String

    fun getDeviceRamSize(): Long

    fun getTemporaryLocalDeviceId(): String

    fun isUserAcceptPrivacyPolicy(context: Context): Boolean

    fun put(key: String, any: Any)

    fun get(key: String, isRemove: Boolean): Any?

    fun getFlavorProvider(): IFlavorProvider

    fun getIsBrandNewInstall(): Boolean
}